Summary:	Simple package library built on top of hawkey and librepo
Summary(pl.UTF-8):	Prosta biblioteka obsługi pakietów oparta na bibliotekach hawkey i librepo
Name:		libhif
Version:	0.2.3
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz
# Source0-md5:	3d97ff8d601a5f67184d6aa11a9296d2
Patch0:		%{name}-rpm5.patch
URL:		https://github.com/hughsie/libhif
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 0.9.8
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	hawkey-devel >= 0.5.3
BuildRequires:	librepo-devel >= 1.7.11
BuildRequires:	libsolv-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-devel >= 5
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.36.0
Requires:	hawkey >= 0.5.3
Requires:	librepo >= 1.7.11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides a simple interface to hawkey and librepo and is
currently used by PackageKit and rpm-ostree.

%description -l pl.UTF-8
Ta biblioteka udostępnia prosty interfejs do bibliotek hawkey i
librepo, jest obecnie używana przez pakiety PackageKit i rpm-ostree.

%package devel
Summary:	Header files for libhif library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libhif
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36.0
Requires:	hawkey-devel >= 0.5.3
Requires:	librepo-devel >= 1.7.11
Requires:	rpm-devel >= 5

%description devel
Header files for libhif library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libhif.

%package static
Summary:	Static libhif library
Summary(pl.UTF-8):	Statyczna biblioteka libhif
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libhif library.

%description static -l pl.UTF-8
Statyczna biblioteka libhif.

%package apidocs
Summary:	libhif API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libhif
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libhif library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libhif.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{rpmcflags} -D_GNU_SOURCE"
%configure \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libhif.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README.md
%attr(755,root,root) %{_libdir}/libhif.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhif.so.1
%{_libdir}/girepository-1.0/Hif-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhif.so
%{_datadir}/gir-1.0/Hif-1.0.gir
%{_includedir}/libhif
%{_pkgconfigdir}/libhif.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libhif.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libhif
%changelog
* Fri Dec 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libhif.git;a=log;h=master

* Fri Dec 06 2019 Jan Rękorajski <baggins@pld-linux.org> e2d883e
- make off64_t visible to rpm5 headers
- rel 2

* Thu Aug 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 21b97f8
- updated to 0.2.3

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> 41f2986
- noarch apidocs

* Sat Feb 20 2016 Jakub Bogusz <qboosh@pld-linux.org> bf64f30
- updated to 0.2.2

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> fa63fc8
- updated to 0.2.1

* Sun Apr 12 2015 Jan Rękorajski <baggins@pld-linux.org> f4a6e5d
- release 2 (by relup.sh)

* Sat Apr 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 6ad503b
- updated to 0.2.0
- updated rpm5 patch
- removed obsolete hawkey patch

* Tue Mar 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 6a8f509
- added hawkey patch (hawkey 0.5.3 support)

* Thu Jan 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 178c1ad
- updated to 0.1.8
- updated rpm5 patch

* Wed Dec 24 2014 Jakub Bogusz <qboosh@pld-linux.org> c76750f
- updated to 0.1.7
- updated rpm5 patch

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> d26ac47
- libffi rebuild
- release 2 (by relup.sh)

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 570736c
- updated to 0.1.6
- updated rpm5 patch

* Fri Sep 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 869d633
- updated to 0.1.4

* Fri Sep 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 9bd216a
- updated to 0.1.3

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 8870950
- updated to 0.1.2

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 1ef69b5
- updated to 0.1.1

* Sun Jun 15 2014 Jakub Bogusz <qboosh@pld-linux.org> fc7c048
- new, with preliminary rpm5 port

